> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 更新主密码

> Rename a master password under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json PATCH /v1/public/accounts/{account_id}/credentials/{credential_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials/{credential_id}:
    patch:
      tags:
        - public-accounts
        - public-credentials
      summary: 更新主密码
      description: Rename a master password under the path account.
      operationId: >-
        update_public_credential_v1_public_accounts__account_id__credentials__credential_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: credential_id
          required: true
          schema:
            format: uuid
            title: Credential Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CredentialUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialUpdateRequest:
      description: 重命名主密码的请求。
      properties:
        name:
          description: 主密码显示名称
          maxLength: 100
          minLength: 1
          title: 名称
          type: string
      required:
        - name
      title: CredentialUpdateRequest
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: 主密码创建时间戳
          title: 创建时间
          type: string
        id:
          description: 主密码 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 主密码显示名称
          title: 名称
          type: string
        scope_id:
          description: 主密码作用域的资源 UUID
          format: uuid
          title: 范围 Id
          type: string
        scope_type:
          description: 主密码适用的资源作用域类型
          enum:
            - account
            - workspace
            - domain
          title: 范围类型
          type: string
        updated_at:
          description: 主密码最后更新时间戳
          title: 更新时间
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````